Description

Since Feature #22342 has been in artdaqg_utilities releases for some time, it would probably be a good idea to change the metric
instances built into artdaq to use a more diverse set of metric levels, and update the simple_test_configs accordingly.

History

#1 - 10/31/2019 12:39 PM - Eric Flumerfelt

- Description updated

#2 - 10/31/2019 12:42 PM - Eric Flumerfelt

| have done quite a bit of work, creating a new enum class MetricLevel in MetricData.hh that defines a set of metric level names that can be used to
group metrics based on their usage. | have also tried to make it so that the level parameter to both the sendMetric call and in the Metric Plugin
configuration are more intuitive and less reliant on hard-coded numbers.

Changes on artdag-utilities, artdaq, artdag-demo branch feature/23416_MetricLevelOverhaul.

#3 - 10/31/2019 12:42 PM - Eric Flumerfelt
- Assignee set to Eric Flumerfelt

- Status changed from New to Resolved

#4 - 10/31/2019 12:46 PM - Eric Flumerfelt

- File MetriclnventoryWithCategories.xIsx added

#5 - 03/22/2021 03:07 PM - Eric Flumerfelt

- Status changed from Resolved to Rejected

This change seems unsustainable. | don't have a good idea right now of the best way to manage the metric inventory, but the rise of Grafana-based
metric viewers seems to have pretty well obsoleted this approach.

Files

MetriclnventoryWithCategories.xIsx 13.4 KB 10/31/2019 Eric Flumerfelt

04/19/2021 1/1



https://cdcvs.fnal.gov/redmine/issues/22342
http://www.tcpdf.org

